# UIInputText

Create a text input base on style guide

## Properties

| Name        | Type       | Default | Description                                              |
| ----------- | ---------- | ------- | -------------------------------------------------------- |
| id          | `string`   |         | **Required** - Id of the input                           |
| value       | `string`   |         | **Required** - Value for input                           |
| label       | `string`   |         | The text label                                           |
| placeholder | `string`   |         | Placeholder                                              |
| size        | `string`   |         | Size of the input                                        |
| variant     | `string`   |         | Variant for the input                                    |
| disabled    | `boolean`  | `false` | Wether the input is disabled or not                      |
| onChange    | `function` |         | **Required** - Callback for when the input value changes |

## Example

```javascript
import {UIInputText} from 'writer'

render($$) {
    const el = $$('div')
    return el.append(
        $$(UIInputText, {
            id: 'myInput',
            label: this.getLabel('input label'),
            placehodlder: 'My placeholder',
            size: 'large',
            value: '',
            onChange: (value) => {
                // Do something
            }
        })
    )
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.navigaglobal.com/writer/6.3.2/api-reference/uicomponents/uiinputtext.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
